libraw1394: version 2.0.4
Prev |  | Next

# raw1394_write

## Name

raw1394_write -- send async write request to a node and wait for response.

## Synopsis

``int raw1394_write` (raw1394handle_t handle, nodeid_t node, nodeaddr_t addr, size_t length, quadlet_t * data);`

## Arguments

`handle`

  libraw1394 handle

`node`

  target node ID

`addr`

  address to write to

`length`

  amount of bytes of data to write

`data`

  pointer to data to be sent

## Description

If `length` is `4`, a quadlet write request is used.

This does the complete transaction and will return when it's finished. It will call `raw1394_loop_iterate` as often as necessary, return values of handlers called will be therefore lost.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_read | Up | raw1394_lock